/*
 * 作成日: 2005/11/04
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package aji;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
//import org.eclipse.swt.graphics.Color;
//import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;


/**
 * @author Kazuya
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
//検索する方法を選択する
public class SearchSel{
	Singleton instance = Singleton.getInstance();
	private Composite comp;
	public SearchSel(){
		
	}
	public void visiWin(){
		comp.setVisible(false);
	}
	public void make_Search(){
		
		comp = new Composite(instance.getShell(), SWT.NONE);
		comp.setSize(800,535);


        Button button1 = new Button(comp, SWT.PUSH);
        button1.setBounds(150,15,500,150);
        button1.setText("名前検索");

        button1.addSelectionListener(new SelectionListener(){ 	  	
			public void widgetSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				visiWin();
				//new SearchName().make_SearchName();
				new SearchNameTes().make_SearchName();
			}

			public void widgetDefaultSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				
			}
        });
        
        Button button2 = new Button(comp, SWT.PUSH);
        button2.setBounds(150,190,500,150);
        button2.setText("材料検索");
        button2.addSelectionListener(new SelectionListener(){ 	  	
			public void widgetSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				visiWin();
				//new SearchMate();
				new SearchMateTest();
			}

			public void widgetDefaultSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				
			}
        });
        
        Button button3 = new Button(comp, SWT.PUSH);
        button3.setBounds(150,370,500,150);
        button3.setText("その他検索");
        button3.addSelectionListener(new SelectionListener(){ 	  	
			public void widgetSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				visiWin();
				//new ChangeWin().change();
				new SearchEtc().make_SearchEtc();
				
			}
			public void widgetDefaultSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ	
			}
        });
        
	}
}
